Koozali.org formerly Contribs.org

Unable to view data in phpmyadmin - table 'phpmyadmin.pma_table_uiprefs' doesn't

Offline beast

  • *
  • 183
With a fresh installation of phpmyadmin version 4.0.10.9 on SME9 64 bit

I get this error in a pop-up dialogue when I try to view data in a table.

Code: [Select]
SELECT `prefs`
FROM `phpmyadmin`.`pma_table_uiprefs`
WHERE `username` = 'root'
AND `db_name` = 'jserror_passwordcrypt'
AND `table_name` = 'errors'

#1146 - Table 'phpmyadmin.pma_table_uiprefs' doesn't exist

I have searched the internet and I see that this is a very common error but I do not know the best way to correct it on SME?

Some say that I have to execute the file create_tables.sql

I have found this file in /usr/share/doc/phpMyAdmin-4.0.10.9/examples/create_tables.sql

or change some settings in config.inc.php.

Code: [Select]
$ Cfg ['Servers'] [$ i] ['table_uiprefs'] = ‘pma_table_uiprefs';
To
$ cfg ['Servers'] [$ i] ['pma__table_uiprefs'] = ‘pma__table_uiprefs';

(with or without double underscore)

Because of the template system I ask here first if others have seen this error and the way it was corrected?

Will update the Wiki with the best procedure!

/Benny

Offline ReetP

  • *
  • 2,830
Assuming you are doing this by hand, yes you need the tables created and the config entries as well I believe.

If you are going to use create_tables.sql then check that you only make the right tables !

If you use the contrib I think it does that for you. I think there is some info on what to do in the config.inc.php file

B. Rgds
John
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions of software
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Offline beast

  • *
  • 183
I did use the contrib - so it behaves like this!

I will test this a bit and update the Wiki

Offline beast

  • *
  • 183
But better if the contrib fixed it ;-)
« Last Edit: May 19, 2015, 06:50:05 AM by beast »

guest22

But better if the contrib fixed it :wink:


Opening a new bug with details would help.

Offline beast

  • *
  • 183
Will verify it first ;-)

Offline beast

  • *
  • 183
Made a phpmyadmin test installation in a Virtualbox SME server with no problem in viewing tables ??

Then on my running server i uninstalled, reinstalled, updated etc. and the problem is still there on my running server ???

This is installed on the test server:
Code: [Select]
libmcrypt.x86_64                            2.5.8-9.el6                 @epel   
php-mcrypt.x86_64                           5.3.3-3.el6                 @epel   
php-php-gettext.noarch                      1.0.11-3.el6                @epel   
php-tcpdf.noarch                            6.2.4-1.el6                 @epel   
php-tcpdf-dejavu-sans-fonts.noarch          6.2.4-1.el6                 @epel   
phpMyAdmin.noarch                           4.0.10.10-1.el6             @epel   
smeserver-phpmyadmin.noarch                 4.0.10.2-2.el6.sme          @stephdl

This is installed on my production server:
Code: [Select]
GeoIP.x86_64                             1.6.5-1.el6               @epel       
GeoIP-GeoLite-data.noarch                2015.04-2.el6             @epel       
GeoIP-GeoLite-data-extra.noarch          2015.04-2.el6             @epel       
awstats.noarch                           7.1-1.el6.rf              @dag         
clamav.x86_64                            0.98.7-1.el6              @epel       
clamav-db.x86_64                         0.98.7-1.el6              @epel       
clamd.x86_64                             0.98.7-1.el6              @epel       
dar.x86_64                               2.4.17-1.el6              @epel       
denyhosts.noarch                         2.6-20.el6                @smecontribs
gd-last.x86_64                           2.1.1-2.el6.remi          @remi       
geoipupdate.x86_64                       2.2.1-2.el6               @epel       
glib.x86_64                              1:1.2.10-33.el6.rf        @dag         
libdar.x86_64                            2.4.17-1.el6              @epel       
libmcrypt.x86_64                         2.5.8-9.el6               @epel       
oidentd.x86_64                           2.0.8-8.el6               @epel       
perl-Config-IniFiles.noarch              2.72-2.el6                @epel       
perl-Convert-TNEF.noarch                 0.18-1.el6.rf             @dag         
perl-Filesys-DiskFree.noarch             0.06-1.2.el6.rf           @dag         
perl-Geo-IP.x86_64                       1.38-6.el6                @epel       
perl-IO-Multiplex.noarch                 1.13-1.el6                @epel       
perl-Mail-Sendmail.noarch                0.79-12.el6               @epel       
perl-Net-Server.noarch                   2.007-2.el6               @epel       
perl-Proc-ProcessTable.x86_64            0.48-1.el6                @epel       
php-mcrypt.x86_64                        5.3.3-3.el6               @epel       
php-pear-Auth-SASL.noarch                1.0.6-1.el6               @epel       
php-php-gettext.noarch                   1.0.11-3.el6              @epel       
php-tcpdf.noarch                         6.2.4-1.el6               @epel       
php-tcpdf-dejavu-sans-fonts.noarch       6.2.4-1.el6               @epel       
php54.x86_64                             2.1-1.el6.remi            @remi       
php54-php.x86_64                         5.4.41-1.el6.remi         @remi       
php54-php-bcmath.x86_64                  5.4.41-1.el6.remi         @remi       
php54-php-cli.x86_64                     5.4.41-1.el6.remi         @remi       
php54-php-common.x86_64                  5.4.41-1.el6.remi         @remi       
php54-php-enchant.x86_64                 5.4.41-1.el6.remi         @remi       
php54-php-gd.x86_64                      5.4.41-1.el6.remi         @remi       
php54-php-imap.x86_64                    5.4.41-1.el6.remi         @remi       
php54-php-ldap.x86_64                    5.4.41-1.el6.remi         @remi       
php54-php-mbstring.x86_64                5.4.41-1.el6.remi         @remi       
php54-php-mysqlnd.x86_64                 5.4.41-1.el6.remi         @remi       
php54-php-pdo.x86_64                     5.4.41-1.el6.remi         @remi       
php54-php-pear.noarch                    1:1.9.5-9.el6.remi        @remi       
php54-php-pecl-zip.x86_64                1.12.4-2.el6.remi         @remi       
php54-php-process.x86_64                 5.4.41-1.el6.remi         @remi       
php54-php-soap.x86_64                    5.4.41-1.el6.remi         @remi       
php54-php-tidy.x86_64                    5.4.41-1.el6.remi         @remi       
php54-php-xml.x86_64                     5.4.41-1.el6.remi         @remi       
php54-runtime.x86_64                     2.1-1.el6.remi            @remi       
php55.x86_64                             2.1-1.el6.remi            @remi       
php55-php.x86_64                         5.5.25-1.el6.remi         @remi       
php55-php-bcmath.x86_64                  5.5.25-1.el6.remi         @remi       
php55-php-cli.x86_64                     5.5.25-1.el6.remi         @remi       
php55-php-common.x86_64                  5.5.25-1.el6.remi         @remi       
php55-php-enchant.x86_64                 5.5.25-1.el6.remi         @remi       
php55-php-gd.x86_64                      5.5.25-1.el6.remi         @remi       
php55-php-imap.x86_64                    5.5.25-1.el6.remi         @remi       
php55-php-ldap.x86_64                    5.5.25-1.el6.remi         @remi       
php55-php-mbstring.x86_64                5.5.25-1.el6.remi         @remi       
php55-php-mysqlnd.x86_64                 5.5.25-1.el6.remi         @remi       
php55-php-pdo.x86_64                     5.5.25-1.el6.remi         @remi       
php55-php-pear.noarch                    1:1.9.5-9.el6.remi        @remi       
php55-php-pecl-jsonc.x86_64              1.3.7-1.el6.remi          @remi       
php55-php-pecl-zip.x86_64                1.12.5-1.el6.remi         @remi       
php55-php-process.x86_64                 5.5.25-1.el6.remi         @remi       
php55-php-soap.x86_64                    5.5.25-1.el6.remi         @remi       
php55-php-tidy.x86_64                    5.5.25-1.el6.remi         @remi       
php55-php-xml.x86_64                     5.5.25-1.el6.remi         @remi       
php55-runtime.x86_64                     2.1-1.el6.remi            @remi       
php56.x86_64                             2.1-1.el6.remi            @remi       
php56-php.x86_64                         5.6.9-1.el6.remi          @remi       
php56-php-bcmath.x86_64                  5.6.9-1.el6.remi          @remi       
php56-php-cli.x86_64                     5.6.9-1.el6.remi          @remi       
php56-php-common.x86_64                  5.6.9-1.el6.remi          @remi       
php56-php-enchant.x86_64                 5.6.9-1.el6.remi          @remi       
php56-php-gd.x86_64                      5.6.9-1.el6.remi          @remi       
php56-php-imap.x86_64                    5.6.9-1.el6.remi          @remi       
php56-php-ldap.x86_64                    5.6.9-1.el6.remi          @remi       
php56-php-mbstring.x86_64                5.6.9-1.el6.remi          @remi       
php56-php-mysqlnd.x86_64                 5.6.9-1.el6.remi          @remi       
php56-php-pdo.x86_64                     5.6.9-1.el6.remi          @remi       
php56-php-pear.noarch                    1:1.9.5-9.el6.remi        @remi       
php56-php-pecl-jsonc.x86_64              1.3.7-1.el6.remi          @remi       
php56-php-pecl-zip.x86_64                1.12.5-1.el6.remi         @remi       
php56-php-process.x86_64                 5.6.9-1.el6.remi          @remi       
php56-php-soap.x86_64                    5.6.9-1.el6.remi          @remi       
php56-php-tidy.x86_64                    5.6.9-1.el6.remi          @remi       
php56-php-xml.x86_64                     5.6.9-1.el6.remi          @remi       
php56-runtime.x86_64                     2.1-1.el6.remi            @remi       
phpMyAdmin.noarch                        4.0.10.10-1.el6           @epel       
pptpd.x86_64                             1.4.0-3.el6               @epel       
proftpd.x86_64                           1.3.4a-1.el6.rf           @dag         
rssh.x86_64                              2.3.4-1.el6               @epel       
smeserver-awstats.noarch                 1.3-1.el6.sme             @smedev     
smeserver-denyhosts.noarch               2.9-6.el6.sme             @smedev     
smeserver-mod_deflate.noarch             1.0-3.el5.sme             @sme8contribs
smeserver-php-scl.x86_64                 0.4-3.el6.sme             @stephdl     
smeserver-phpmyadmin.noarch              4.0.10.2-2.el6.sme        @stephdl     
smeserver-remoteuseraccess.noarch        1.3-1.el6.sme             @smecontribs
smeserver-wbl.noarch                     0.3.0-1.el6.sme           @stephdl     
tnef.x86_64                              1.4.12-2.el6              @epel

Have a small problem as I am unable to update a specific package (but I do not think this is the problem)

Code: [Select]
Error: Package: razor-agents-2.85-1.el6.rf.x86_64 (@anaconda-base-201406271835.x86_64/9.0)
          Requires: perl-Razor-Agent = 2.85-1.el6.rf
          Remove: perl-Razor-Agent-2.85-1.el6.rf.x86_64 (@anaconda-base-201406271835.x86_64/9.0)
              perl-Razor-Agent = 2.85-1.el6.rf
          Updated By: perl-Razor-Agent-2.85-6.el6.x86_64 (epel)
              perl-Razor-Agent = 2.85-6.el6

But how do I fix this update error?

NB: I know how to bypass it

« Last Edit: May 24, 2015, 12:55:34 PM by beast »

guest22

what _exact_ yum commands are you using?

Offline beast

  • *
  • 183
what _exact_ yum commands are you using?

The ones stated at http://wiki.contribs.org/PHPMyAdmin#tab=For_SME9

Code: [Select]
db yum_repositories set stephdl repository \
BaseURL http://mirror.de-labrusse.fr/smeserver/\$releasever \
EnableGroups no GPGCheck yes \
Name "Mirror de Labrusse" \
GPGKey http://mirror.de-labrusse.fr/RPM-GPG-KEY \
Visible yes status disabled

/sbin/e-smith/db yum_repositories set epel repository \
Name 'Epel - EL6' \
BaseUrl 'http://download.fedoraproject.org/pub/epel/6/$basearch' \
MirrorList 'http://mirrors.fedoraproject.org/mirrorlist?repo=epel-6&arch=$basearch' \
EnableGroups no \
GPGCheck yes \
GPGKey http://dl.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL \
Visible no \
status disabled

signal-event yum-modify

yum install --enablerepo=stephdl,epel smeserver-phpmyadmin

Plus 'yum clean all'

And for update I enable the repositories epel and stephdl as above and issue the command:

yum update --enablerepo=smecontribs,epel,stephdl

guest22

From what I see, "Visible yes status disabled" in the stephdl repo is different then the epel repo.... It seems there is a '\' charachter missing (break line)

Offline beast

  • *
  • 183
From what I see, "Visible yes status disabled" in the stephdl repo is different then the epel repo.... It seems there is a '\' charachter missing (break line)

As far as I know this is fine as there is no line break in stephdl?

Offline beast

  • *
  • 183
OK - I got it working :-)

Looks like I had an old configuration file that caused the problem probably because it is a server upgraded all the way from SME7 - here is my work around:

Remove all packages that relate to phpmyadmin

Code: [Select]
yum remove smeserver-phpmyadmin
yum remove phpMyAdmin
signal-event post-upgrade; signal-event reboot

Search for all folders on the system with the name phpmyadmin and delete them (case insensitive)

install phpmyadmin again

http://wiki.contribs.org/PHPMyAdmin#tab=For_SME9

NB: A 'yum remove' command does not delete the configuration files and this was the root of the problem as far as I can tell ;-)
« Last Edit: May 26, 2015, 10:10:07 PM by beast »